// ENTITY_3DS Class
// (c) by Heinrich Tillack 2002 (http://a128.x15.org)
// under GPL or new BSD license

#ifndef ENTITY_3DSH
#define ENTITY_3DSH



#include "utils/model3d.h"
#include "object.h"

#define  MAX_DIR 255



class ENTITY_3DS : public OBJECT
{
public:


    ENTITY_3DS();
    ~ENTITY_3DS();

    GLvoid SetModel( struct t3DModel *tmodel);
    GLvoid Draw();

    //setup of the prefix for texture loading i.e. "/rd/" or "/pc/"
    // or "/cd/"
    //so if your texture maps for this 3ds model is
    //originally named BITMAP.JPG and e_dir=rd
    // it loads from i.e. "/rd/BITMAP.JPG"
    GLvoid SetTextureDir(char *dir);

private:

    struct t3DModel *model;

    char texture_dir[MAX_DIR];

};



#endif

