
#ifndef POLYGONH
#define POLYGONH

#include <GL/gl.h>

#include "vector.h"



class POLYGON
{
public:
	VECTOR	c1;
	VECTOR	c2;
	VECTOR	c3;

	VECTOR Normal;
	VECTOR PolygonHorisontal;
	VECTOR PolygonVertical;

public:
	VECTOR GetReflectedDirection( VECTOR Direction);
	bool GetIntersect(VECTOR *IntersectPoint, GLfloat *Ratio, VECTOR Start, VECTOR End);
	bool InBorders(VECTOR point);
	VECTOR GetNormal();
	GLvoid Show();
	POLYGON();
	POLYGON( VECTOR dc1, VECTOR dc2, VECTOR dc3 );
	virtual ~POLYGON();

};

#endif